/* intrGraphics.c  --- Graphics data for AmiGo by Todd R. Johnson
   Public Domain
   This file contains graphics data that must go into chip mem.  It
   must be compiled so that it will be loaded into chip memory!
*/

#include <exec/types.h>

/* Image Data */

UWORD BlackStoneData[14] = {
/* Bit Plane #1 */

   0xF83E,
   0xC006,
   0x8002,
   0x0000,
   0x8002,
   0xC006,
   0xF83E,

/* Bit Plane #2 */

   0x07C0,
   0x3FF8,
   0x7FFC,
   0xFFFE,
   0x7FFC,
   0x3FF8,
   0x07C0,

};

UWORD WhiteStoneData[21] = {
/* Bit Plane #0 */

   0x07C0,
   0x3FF8,
   0x7FFC,
   0xFFFE,
   0x7FFC,
   0x3FF8,
   0x07C0,

/* Bit Plane #1 */

   0xF83E,
   0xC006,
   0x8002,
   0x0000,
   0x8002,
   0xC006,
   0xF83E,

/* Bit Plane #2 */

   0x07C0,
   0x3FF8,
   0x7FFC,
   0xFFFE,
   0x7FFC,
   0x3FF8,
   0x07C0,

};

/* Full intersection */
USHORT IntersectData[] =
{
   0x0100,
   0x0100,
   0x0100,
   0xFFFE,
   0x0100,
   0x0100,
   0x0100
};

/* Upper Left Intersection */
USHORT ULIntersectData[] =
{
   0x0000,
   0x0000,
   0x0000,
   0x01FE,
   0x0100,
   0x0100,
   0x0100
};

/* Upper Middle Intersection */
USHORT UMIntersectData[] =
{
   0x0000,
   0x0000,
   0x0000,
   0xFFFE,
   0x0100,
   0x0100,
   0x0100
};

/* Upper Right Intersection */
USHORT URIntersectData[] =
{
   0x0000,
   0x0000,
   0x0000,
   0xFF00,
   0x0100,
   0x0100,
   0x0100
};

/* Left Middle (Center) Intersection */
USHORT LCIntersectData[] =
{
   0x0100,
   0x0100,
   0x0100,
   0x01FE,
   0x0100,
   0x0100,
   0x0100
};

/* Right Middle Intersection */
USHORT RMIntersectData[] =
{
   0x0100,
   0x0100,
   0x0100,
   0xFF00,
   0x0100,
   0x0100,
   0x0100
};

/* Lower Left Intersection */
USHORT LLIntersectData[] =
{
   0x0100,
   0x0100,
   0x0100,
   0x01FE,
   0x0000,
   0x0000,
   0x0000
};

/* Lower Middle Intersection */
USHORT LMIntersectData[] =
{
   0x0100,
   0x0100,
   0x0100,
   0xFFFE,
   0x0000,
   0x0000,
   0x0000
};

/* Lower Right Intersection */
USHORT LRIntersectData[] =
{
   0x0100,
   0x0100,
   0x0100,
   0xFF00,
   0x0000,
   0x0000,
   0x0000
};

/* Star point */
USHORT starPointData[] =
{
   0x0100,
   0x0100,
   0x07C0,
   0xFFFE,
   0x07C0,
   0x0100,
   0x0100
};

